<?php
    if (!defined('MOODLE_INTERNAL')) {
        die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
    }

    require_once($CFG->dirroot.'/lib/formslib.php');

    class mod_gradeimporter_submissiontype_form extends moodleform{

        function definition(){
            global $CFG, $DB;

            $mform =& $this->_form;

            $submissiontype = $this->_customdata['submissiontype'];
            $cm             = $this->_customdata['cm'];
            $descriptionoptions = $this->_customdata['descriptionoptions'];
            $submissiontypeoptions  = $this->_customdata['submissiontypeoptions'];

            $context    = context_module::instance($cm->id);
            $fmtoptions = array('context'=>$context);

            //-------------------form starts here
            $mform->addElement('header', 'general', get_string('general', 'form'));

            //submission type name
            $mform->addElement('text', 'name', get_string('name', 'gradeimporter'), array('size'=>'64'));
            $mform->setType('name', PARAM_TEXT);
            $mform->addRule('name', get_string('error_nameField', 'gradeimporter'), 'required', null, 'client');

            //description
            $mform->addElement('editor', 'description_editor', get_string('submissionDescription', 'gradeimporter'), null, $descriptionoptions);
            $mform->setType('description_editor', PARAM_RAW);

            //hidden fields
            $mform->addElement('hidden', 'id');
            $mform->setType('id', PARAM_INT);
            $mform->addElement('hidden', 'cmid');
            $mform->setType('cmid', PARAM_INT);

            //buttons
            $this->add_action_buttons();

            $this->set_data($submissiontype);
        }
    }