<?php
    require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
    require_once(dirname(__FILE__).'/lib.php');

    global $DB;


    $id = optional_param('id', 0, PARAM_INT); // course_module ID, or
    $g  = optional_param('g', 0, PARAM_INT);  // gradeimporter instance ID, should be named as the first character of the module

    if ($id) {
        if (! $cm = get_coursemodule_from_id('gradeimporter', $id)) {
            error('Course Module ID was incorrect');
        }

        if (! $course = $DB->get_record('course', array('id'=> $cm->course))) {
            error('Course is misconfigured');
        }

        if (! $gradeimporter = $DB->get_record('gradeimporter', array('id'=> $cm->instance) ) ) {
            error('Course module is incorrect');
        }

    } else if ($g) {
        if (! $gradeimporter = $DB->get_record('gradeimporter', array('id'=> $g)) ){
            error('Course module is incorrect');
        }
        if (! $course = $DB->get_record('course', array('id'=> $gradeimporter->course)) ) {
            error('Course is misconfigured');
        }
        if (! $cm = get_coursemodule_from_instance('gradeimporter', $gradeimporter->id, $course->id)) {
            error('Course Module ID was incorrect');
        }

    } else {
        error('You must specify a course_module ID or an instance ID');
    }

    require_login($course, true, $cm);

    $context = context_module::instance($cm->id);



    /// Print the page header
    $PAGE->set_cm($cm);
    $PAGE->set_url('/mod/gradeimporter/view.php', array('id' => $cm->id));
    $PAGE->set_title(format_string($gradeimporter->name));
    $PAGE->set_heading(format_string($course->fullname));
    $PAGE->set_context($context);
    /*$button = '';
    if (has_capability('mod/gradeimporter:edit', $context)) {
      $urlparams = array('id'=>$id, 'page'=>$page, 'editing'=>$editing ? '0' : '1');
      $url = new moodle_url('/mod/gradeimporter/view.php', $urlparams);
      $strediting = get_string('turnediting'.($editing ? 'off' : 'on'));
      $button = $OUTPUT->single_button($url, $strediting, 'get'). ' ';
    }
    $PAGE->set_button($button);*/
/// Print the main part of the page

$output = $PAGE->get_renderer('mod_folder');
echo $output->header();

$heading = get_string('displayingview', 'gradeimporter', $gradeimporter->name);

echo $output->heading($heading);


//button to add new submission
if (has_capability('mod/gradeimporter:edit', $context)) {
  $url = new moodle_url('/mod/gradeimporter/submission.php');
  $newSubmission = '<form action="'. $url . '">'.
          '<input type="hidden" name="id" value="'. $gradeimporter->id .'" />'.
          '<input type="hidden" name="cmid" value="'.$cm->id.'" />'.
          '<input type="hidden" name="page" value="0" />'.
          '<input type="submit" Value="'.get_string('newsubmission', 'gradeimporter').'" />'.
          '</form>';
  echo $newSubmission;
}

//tabela com as notas vem aqui
echo 'parte principal do importador de notas';

require_once($CFG->libdir . '/tablelib.php');
require_once(dirname(__FILE__).'/locallib.php');
use \gradeimporter\feedback;

// $data = array();
// $data["Prova"] = array();
// $data["Prova"][] = array("P1", "7", "fulanoP1.pdf");
// $data["Prova"][] = array("P2", "7", "fulanoP2.pdf");
// $data["Prova"][] = array("P3", "7", "fulanoP3.pdf");
// $data["Exercicio"][] = array("E1", "-", "fulanoE1.pdf.pdf");
// $data["Exercicio"][] = array("E2", "-", "fulanoE2.pdf.pdf");
// $data["teste"][] = array("E1", "-", "fulanoE1.pdf.pdf");
// $data["teste"][] = array("E2", "-", "fulanoE2.pdf.pdf");

$data = feedback::get_comments();

if (!feedback::is_capability()) {
  $table = new html_table();
  $table->attributes['class'] = 'generaltable mod_index';
  $table->head  = array ("Tipo", "Nome", "Nota", "Arquivos");
  $table->align = array ('center', 'center', 'center', 'center');

  if (count($data)) {
    $current = "";
    foreach ($data as $tipo => $cells) {
      if ($current != "" && $current != $tipo) {
        $row = new html_table_row();
        $cell = new html_table_cell();
        $cell->colspan = 5;
        $row->cells[] = $cell;
        $table->data[] = $row;
      }
      $current = $tipo;

      $row = new html_table_row();
      $cell = new html_table_cell($tipo);
      $cell->rowspan = count($cells)+1;
      $row->cells[] = $cell;
      $table->data[] = $row;

      foreach ($cells as $cell) {
        $row = new html_table_row();
        foreach ($cell as $value) {
          $cell = new html_table_cell($value);
          $row->cells[] = $cell;
        }
        $table->data[] = $row;
      }
    }
  }

  echo html_writer::table($table);
}

if (feedback::is_capability()) {
  // $data["Aluno3"] = array();
  // $data["Aluno3"]["Prova"] = array();
  // $data["Aluno3"]["Prova"][] = array("P1", "7", "fulanoP1.pdf");
  // $data["Aluno3"]["Prova"][] = array("P2", "7", "fulanoP2.pdf");
  // $data["Aluno3"]["Prova"][] = array("P3", "7", "fulanoP3.pdf");
  // $data["Aluno3"]["Exercicio"][] = array("E1", "-", "fulanoE1.pdf.pdf");
  // $data["Aluno3"]["Exercicio"][] = array("E2", "-", "fulanoE2.pdf.pdf");
  // $data["Aluno3"]["teste"][] = array("E1", "-", "fulanoE1.pdf.pdf");
  // $data["Aluno3"]["teste"][] = array("E2", "-", "fulanoE2.pdf.pdf");

  $table = new html_table();
  $table->attributes['class'] = 'generaltable mod_index';
  $table->head  = array ("Aluno", "Tipo", "Nome", "Nota", "Arquivos");
  $table->align = array ('center', 'center', 'center', 'center', 'center');

  if (count($data)) {
    $currentAluno = "";
    foreach ($data as $aluno => $datas) {
      if ($currentAluno != "" && $currentAluno != $aluno) {
        $row = new html_table_row();
        $cell = new html_table_cell();
        $cell->colspan = 6;
        $row->cells[] = $cell;
        $table->data[] = $row;
      }
      $t = count($datas);
      foreach ($datas as $tipo => $cells) {$t += count($cells);};
      $currentAluno = $aluno;
      $row = new html_table_row();
      $cell = new html_table_cell($aluno);
      $cell->rowspan = $t+1;
      $row->cells[] = $cell;
      $table->data[] = $row;

      foreach ($datas as $tipo => $cells) {
        $row = new html_table_row();
        $cell = new html_table_cell($tipo);
        $cell->rowspan = count($cells)+1;
        $row->cells[] = $cell;
        $table->data[] = $row;

        foreach ($cells as $cell) {
          $row = new html_table_row();
          foreach ($cell as $value) {
            $row->cells[] = new html_table_cell($value);
          }
          $table->data[] = $row;
        }
      }
    }
  }

  echo html_writer::table($table);
}

/// Finish the page
echo $output->footer();
